<?php
/* * ********************************************************************
*  ProxmoxVPS Product developed. (27.03.19)
* *
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
* ******************************************************************** */


namespace ModulesGarden\Servers\ProxmoxCloudVps\App\UI\Home\Buttons;


use ModulesGarden\Servers\ProxmoxCloudVps\Core\UI\Interfaces\AdminArea;
use ModulesGarden\Servers\ProxmoxCloudVps\Core\UI\Interfaces\ClientArea;

class RedirectButton extends AbstractActionButton implements ClientArea, AdminArea
{
    protected $id = 'redirectButton';
    protected $icon = 'lu-zmdi lu-zmdi-plus';
    protected $title = 'redirectButton';
    protected $imageUrl = null;
    protected $htmlAttributes = [
        'data-toggle' => 'lu-tooltip',
    ];

    public function afterInitContent()
    {

    }

    public function initContent()
    {
        $this->addClass('lu-btn--primary');
    }

    /**
     * @return string
     */
    public function getHref()
    {
        return $this->getHtmlAttribute("href");
    }

    /**
     * @param string $href
     */
    public function setHref($href)
    {
        $this->addHtmlAttribute("href", $href);
        return $this;
    }

    /**
     * @return null
     */
    public function getImageUrl()
    {
        return $this->imageUrl;
    }

    /**
     * @param null $imageUrl
     */
    public function setImageUrl($imageUrl)
    {
        $this->imageUrl = $imageUrl;
    }

}